# Generated by Django 3.0.6 on 2020-05-22 08:30

import django.core.serializers.json
from django.db import migrations, models

import calendar_utils.models


class Migration(migrations.Migration):
    initial = True

    dependencies = []

    operations = [
        migrations.CreateModel(
            name="Calendar",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("url", models.URLField(unique=True)),
                ("source", models.TextField(null=True)),
                ("last_update", models.DateTimeField(null=True)),
                (
                    "past_events",
                    calendar_utils.models.EventsJSONField(
                        encoder=django.core.serializers.json.DjangoJSONEncoder,
                        null=True,
                    ),
                ),
                (
                    "future_events",
                    calendar_utils.models.EventsJSONField(
                        encoder=django.core.serializers.json.DjangoJSONEncoder,
                        null=True,
                    ),
                ),
            ],
        ),
    ]
